:root {
  --b: 6px;
  --m: 2;
  --color-primary: #2196f3;
  --color-primary-text: #ffffff;
  --color-secondary-bg: #1a1a1a;
  --color-secondary: #dc143c;
  --text-hover: #f5d76e;
  --text-yellow: #fdf100;
  --bg-footer: #000;
  --bg-body: #000000;
  --bg-body-main: linear-gradient(45deg, #c036fb, #8119ec);

  --stagger-delay: 0.3s;
}
@property --a {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Kanit", sans-serif;
}
body {
  background: var(--bg-body);
  color: var(--color-primary-text);
  word-break: break-word;
}

strong {
  color: #ff1100;
}
em {
  color: #ff7f50;
}
p a {
  color: #dc143c;
}
p a:hover {
  color: #ffe000;
}

p {
  color: var(--color-primary-text);
}
a:hover {
  color: var(--color-secondary);
}
.txt-int {
  text-indent: 1em;
}

.relative {
  position: relative;
}

.absolute {
  position: absolute;
}
.news-articles-img {
  height: 300px;
  overflow: hidden;
}
.view_date > span,
.tag__info > a span {
  color: var(--color-primary-text);
}
.bg-footer {
  background: var(--bg-footer);
}
.main-form {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  justify-content: center;
  background: var(--bg-body);
}
/* END */

.js-scroll-fade {
  cursor: default;
  opacity: 0;
  transform: translateY(30px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
  transition-delay: var(--stagger-delay, 0s);
}

.js-scroll-fade.is-visible {
  opacity: 1;
  transform: translateY(0);
}

/* END animate FADE */
.nav-link.active {
  color: #dc143c;
}
.nav-link {
  color: #fff;
}
a.nav-link:hover {
  color: #dc143c;
}

a.btn-login:hover {
  color: #e5ff00;
  border: 1px solid #e5ff00;
  background-color: #000000;
}
.btn-login {
  color: #fff;
  border-radius: 0.5em;
  padding: 0.5em 1em 0.5em 1em;
  background-color: #222120;
}
.btn-login:nth-child(odd) {
  background-color: #dc143c;
}

/* CONTENT */
.bg-content-img {
  background: url("../img/พื้นหลัง-ศูนย์รวมเกมคาสิโนที่ได้รับความนิยม-123bet-คาสิโน.webp")
    no-repeat bottom;
  background-size: cover;
}
.banner-caption {
  background: #000000a1;
  padding: 1em;
  border-radius: 0.5em;
  box-shadow: 10px 10px 20px #000000, -10px -10px 20px #000000;
}
.bg-black {
  background-color: #000000;
}
.bg-content-red {
  background: linear-gradient(to top, #6c0208, #000);
}
.bg-content-red-right {
  background: linear-gradient(to left, #6c0208, #000);
}
.borgame {
  border-radius: 1em;
  background: #1a1a1a;
}

.img-hover-show:hover p {
  display: block;
}
.img-hover-show:hover img {
  filter: blur(10px);
}
.img-hover-show p {
  display: none;
  position: absolute;
  width: 100%;
  background: #00000080;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.img-hover-show img {
  display: block;
  filter: blur(0px);
  transition: filter 0.3s ease;
}
